﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using SSCE.Models;

namespace SSCE.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult ReadTopLevel([DataSourceRequest] DataSourceRequest request)
        {
            var data = new TopLevelModel[] {
                new TopLevelModel(1, "Top Level 1", "Description 1"),
                new TopLevelModel(2, "Top Level 2", "Description 2"),
                new TopLevelModel(3, "Top Level 3", "Description 3")
            };
            return Json(data.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        [HttpPost]
        public ActionResult ReadChildren(int id, [DataSourceRequest] DataSourceRequest request)
        {
            var data = new ChildModel[] {
                new ChildModel(1 + id * 3, "Child 1 for " + id, (decimal)123.50, "en-US"),
                new ChildModel(2 + id * 3, "Child 2 for " + id, (decimal)25.72, "en-US"),
                new ChildModel(3 + id * 3, "Child 3 for " + id, (decimal)78.00, "en-US"),
            };
            return Json(data.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
